function [c, spectra, vx, ax, all] = GPLP(vzorky, vzorkovacia_frek,  modelorder)


vykon_spektrum = powspec_GPLP(vzorky, vzorkovacia_frek);

filt_vzorky = audspec_GPLP(vykon_spektrum, vzorkovacia_frek);
nbands = 24;

  
% do final auditory compressions
krivky_rov_hlas = postaud_GPLP(filt_vzorky, vzorkovacia_frek/2);


  % LPC analysis 
  lpcas = dolpc_GPLP(krivky_rov_hlas, modelorder);

  % convert lpc to cepstra
  cepstra = lpc2cep_GPLP(lpcas, modelorder+1);

  % .. or to spectra
  [spectra,F,M] = lpc2spec_GPLP(lpcas, nbands);

c = lifter_GPLP(cepstra, 0.6);

vx = deltas(c);
ax = deltas(deltas(c,5),5);
all = [c;vx;ax];